Class | Rubygame::Color::ColorHSV
In: | lib/rubygame/color/models/hsv.rb
Parent: | Object

Represents color in the HSV (Hue, Saturation, Value) color space.

### Methods

inspect new new_from_rgba new_from_sdl_rgba to_rgba_ary to_s

### Included Modules

ColorBase

### Attributes

a | [R] |
h | [R] |
s | [R] |
v | [R] |

### Public Class methods

new( [h,s,v,a] ) → ColorHSV
new( [h,s,v] ) → ColorHSV
new( color ) → ColorHSV

Create a new instance from an Array or an existing color (of any type). If the alpha (opacity) component is omitted from the array, full opacity will be used.

All color components range from 0.0 to 1.0.

new_from_rgba( rgba )
new_from_sdl_rgba( rgba )

### Public Instance methods

inspect()

Alias for to_s

to_rgba_ary()

Return an Array with the red, green, blue, and alpha components of the color (converting the color to the RGBA model first).

to_s()

[Validate]